FIXINCLUDES(1)

NOM
fixincludes - Réduit le nombre de « #includes » dans les fichiers source de KDE

SYNOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [file] [--help]

DESCRIPTION

fixincludes essaie de réduire le nombre de « #includes » dans les fichiers source C++. Une grande partie de ce traitement est propre aux sources de KDE, donc il se peut qu'il ne fonctionne pas très bien avec les des applications n'appartenant pas à KDE.

Les problèmes suivants sont identifiés par fixincludes :

    • Inclusion d'en-têtes qui ne sont plus pris en charge mais qui existent pour la compatibilité avec les versions antérieures de Qt/KDE ;

    • Inclusion du même fichier plusieurs fois.

Il existe également un mode expérimental essayant de supprimer tous les fichiers « #include » un par un (à quelques exceptions près) pour voir si le source compile toujours. Notez que ce mode expérimental modifiera les sources originaux.

Par défaut, les sources ne seront pas modifiés ; les problèmes identifiés seront simplement écrits sur la sortie standard.

La liste de sources C++ à examiner devra être indiquée sur la ligne de commande. Si aucun fichier n'est indiqué, tous les sources C++ dans ou sous le dossier actuel seront examinés (à l'exception des dossiers dont le Makefile.am contient -UQT_NO_COMPAT ou -UKDE_NO_COMPAT)

Cet utilitaire fait partie du kit de développement de logiciels pour KDE.

OPTIONS

-v, --verbose
    Mode verbeux. Une sortie de débogage supplémentaire est écrite sur la sortie standard.

-e, --experimental
    Mode expérimental, comme décrit ci-dessus en détail. Notez que cette option implique --modify.

-m, --modify
    Identique à l'écriture des messages dans la sortie standard, modifie en réalité les sources originaux pour corriger tout problème trouvé.

AUTEURS

fixincludes a été écrit par Dirk Mueller <mueller@kde.org>.

AUTEUR

Ben Burton <bab@debian.org>
    Auteur.